//
//  V A R I A B L E S
//
//  ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

//  Colors
//  ───────────────────────────────────
@function clr($key) {
  @return map-get($colors, $key);
}

$colors: (
  primary: #245FAD,
  secondary:  #e91e63,
  tertiary: #d8d8d8,
  quaternary: #404451,
  th-1: #a40a28,
  th-2: #e5cb1b,
  th-3: #1377a8,
  th-4: #fbaf5d,
  th-5: #6fa921,
);

$colors: map-merge(
  (
    alert: #bf5544,
    warning: #b8860b,
    info: #205d86,
    success: #8f9f60,
  ),
  $colors
);

$colors: map-merge(
  (
    black: #030405,
    common-gray: #979797,
    gray-light: #efefef,
    promo: #c7270e,
    white: #fff,
  ),
  $colors
);

//  Fonts
//  ───────────────────────────────────
// @font-face {
//   font-family: 'Renogare';
//   font-style: normal;
//   font-weight: 400;
//   src: url('/assets/fonts/RenogareSoft-Regular.woff2') format('woff2'),
//     url('/assets/fonts/RenogareSoft-Regular.woff') format('woff'),
//     url('/assets/fonts/RenogareSoft-Regular.ttf') format('truetype');
// }

$font-renogare: 'Helvetica Neue', Arial, sans-serif;
$font-helvetica: 'Helvetica Neue', 'Helvetica', Arial, sans-serif;

//  Animations
//  ───────────────────────────────────
$anim-duration: 250ms;
$anim-easing: cubic-bezier(0.55, 0, 0.1, 1);
$anim: $anim-duration $anim-easing;

$animation-duration: 250ms;
$animation-easing: cubic-bezier(0.55, 0, 0.1, 1) ;
$animation: $animation-duration $animation-easing;

//  Vertical rythmn
//  ───────────────────────────────────
$vr: 2rem;

//  Grid
//  ───────────────────────────────────
$row-width: 144rem;
$container-width: 100%;
$total-columns: 24;
$column-gutter: 0;
$column-width: 6rem;

$debgrid: (
  horizontal: false,
  maxwidth: $row-width,
  width: $container-width,
  columns: $total-columns,
  gutter: $column-gutter,
  colorColumnOdd: rgba(clr(black), 0.2),
  colorColumnEven: rgba(clr(black), 0.1),
  colorGutter: rgba(clr(black), 0.05),
  vertical: false,
  vertical-size: $vr,
  colorVOdd: rgba(clr(black), 0.1),
  colorVEven: transparent,
);

//  Breakpoints
//  ───────────────────────────────────
$sm-breakpoint: 640px;
$md-breakpoint: 1024px;
$lg-breakpoint: 1366px;
$xlg-breakpoint: 1440px;

$sm-range: (0, $sm-breakpoint);
$md-range: ($sm-breakpoint + 1px, $md-breakpoint);
$lg-range: ($md-breakpoint + 1px, $lg-breakpoint);
$xlg-range: ($lg-breakpoint + 1px, $xlg-breakpoint);

$screen: 'only screen';

$sm-up: $screen;
$sm-only: '#{$screen} and (max-width: #{nth($sm-range, 2)})';

$md-up: '#{$screen} and (min-width:#{nth($md-range, 1)})';
$md-only: '#{$screen} and (min-width:#{nth($md-range, 1)}) and (max-width:#{nth($md-range, 2)})';

$lg-up: '#{$screen} and (min-width:#{nth($lg-range, 1)})';
$lg-only: '#{$screen} and (min-width:#{nth($lg-range, 1)}) and (max-width:#{nth($lg-range, 2)})';

$xlg-up: '#{$screen} and (min-width:#{nth($xlg-range, 1)})';
$xlg-only: '#{$screen} and (min-width:#{nth($xlg-range, 1)}) and (max-width:#{nth($xlg-range, 2)})';

$retina: (
  '#{$screen} and (-webkit-min-device-pixel-ratio: 2)',
  '#{$screen} and (min--moz-device-pixel-ratio: 2)',
  '#{$screen} and (-o-min-device-pixel-ratio: 2/1)',
  '#{$screen} and (min-device-pixel-ratio: 2)',
  '#{$screen} and (min-resolution: 192dpi)',
  '#{$screen} and (min-resolution: 2dppx)'
);

// Legacy
$sm: $sm-up;
$md: $md-up;
$lg: $lg-up;
$xlg: $xlg-up;

$bps: (#{$sm} 'sm', #{$md} 'md', #{$lg} 'lg', #{$xlg} 'xlg');

//  Resolution
//  ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
$resolution-base: 1440;
$resolution-mockup: 1920;
